This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1473384 - Review Request: rubygem-jekyll-lunr-js-search
Review Request: rubygem-jekyll-lunr-js-search
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 12:31 EDT by František Zatloukal
Modified: 2017-08-30 05:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Zbigniew Jędrzejewski-Szmek 2017-07-24 14:28:07 EDT
rubygem-rubyracer was retired last year: http://pkgs.fedoraproject.org/cgit/rpms/rubygem-therubyracer.git/diff/dead.package?id=4206bd0748385b34151f4f5f636dc1644f97ec95. 

You wrote:
> The other option would be to patch upstream jekyll-lunr-js-search to rely
> for JS on rubygem-execjs instead of rubygem-therubyracer or strip out search
> completely (which is broken right now anyway in packaged version).

Yeah, that's an option too. How hard would it be?
Comment 2 František Zatloukal 2017-07-25 09:30:51 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Yeah, that's an option too. How hard would it be?

Not much probably but I don't have any Ruby experience. I've tried to code something around but everything failed in the end.

I am adding some stuff that might help users interested in porting:

https://github.com/discourse/mini_racer - pointed out by vondruch, maintained alternative to therubyracer, but API is different

https://github.com/huginn/huginn/pull/1961/commits/b1c4e5a6c8237b49e63f9a2b6e69883ae4ff3f4d#diff-ebbdd90260f85855146205da3872662c - PR of random project ported from therubyracer to mini_racer

Note You need to log in before you can comment on or make changes to this bug.